Mailinglist Archive: yast-devel (191 mails)

< Previous Next >
Re: [yast-devel] Package-Bindings
  • From: Klaus Kaempf <kkaempf@xxxxxxx>
  • Date: Thu, 20 Mar 2008 14:05:31 +0100
  • Message-id: <20080320130531.GA14132@xxxxxxxxxxxxx>
* Lukas Ocilka <lukas.ocilka@xxxxxxx> [Mar 20. 2008 11:14]:

Everything (these) users want is to have the latest packages installed
on their systems.

Use case:
1.) Show all packages from PacKman
2.) Click "All Packages"
3.) Select "Upgrade all (if possible, of course)"

Now what's "if possible, of course" supposed to mean ?

The point is, that the sat-solver provides just this functionality,
'compute all possible updates'. The result is 'solved', you won't get
any dependency conflicts.

This should be the default mode.

Klaus
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >